<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/BookMenu.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/da5/_book_menu_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">BookMenu.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/da5/_book_menu_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>BookMenu <span class="keyword">extends</span> <a class="code hl_class" href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a4f18fbd03fc372bff4cf71c9eb0d451a">    3</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a> <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#a4f18fbd03fc372bff4cf71c9eb0d451a">m_author</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a5d2afcdf035e7ac8398d55249b850d7d">    4</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a> <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#a5d2afcdf035e7ac8398d55249b850d7d">m_title</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#aaeb5d04d7c85a03e89a6a8f99a9c24c2">    5</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a> <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#aaeb5d04d7c85a03e89a6a8f99a9c24c2">m_page</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a33642608890458c5970c34e8c8819753">    6</a></span>    <span class="keyword">protected</span> HtmlWidget <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#a33642608890458c5970c34e8c8819753">m_content</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#ad4a65ac086458565ff07f94f98315045">    7</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#ad4a65ac086458565ff07f94f98315045">m_page_height</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a6e238bafde4121cb7aa69f210ac42308">    8</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#a6e238bafde4121cb7aa69f210ac42308">m_content_total_height</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#afecce2ad4f9ba33075ccd021589f8459">    9</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#afecce2ad4f9ba33075ccd021589f8459">m_content_pos</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#aca76f7de94e43c81d67d6c5b672f4fbe">   11</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#aca76f7de94e43c81d67d6c5b672f4fbe">Init</a>()</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        layoutRoot = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">GetWorkspace</a>().<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">CreateWidgets</a>(<span class="stringliteral">&quot;gui/layouts/day_z_book.layout&quot;</span>);</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(m_content, layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;HtmlWidget&quot;</span>));</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(m_author, layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;Author&quot;</span>)); </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(m_title, layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;Title&quot;</span>));</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(m_page, layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;Page&quot;</span>));</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordtype">float</span> width;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        m_content.GetScreenSize(width, m_page_height);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">return</span> layoutRoot;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a6a3ec631768001e94dbd399316575f31">   24</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#a6a3ec631768001e94dbd399316575f31">ReadBook</a>(<a class="code hl_class" href="../../d6/d0e/class_inventory_item.html">InventoryItem</a> book)</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        m_content.LoadFile( book.ConfigGetString(<span class="stringliteral">&quot;file&quot;</span>) );</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        m_author.SetText( book.ConfigGetString(<span class="stringliteral">&quot;author&quot;</span>) );</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        m_title.SetText( book.ConfigGetString(<span class="stringliteral">&quot;title&quot;</span>) );</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        m_content_total_height = m_content.GetContentHeight();</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        m_content_pos = 0;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#ae7bfce6297d82d0559d8ae155fab28e5">NextPrevPage</a>(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#ad1bfa3dda2895fad96fa25f720d5aff1">   34</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#ad1bfa3dda2895fad96fa25f720d5aff1">OnClick</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button)</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        super.OnClick(w, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, button);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">switch</span> (w.GetUserID())</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            <span class="keywordflow">case</span> <a class="code hl_variable" href="../../da/d4c/group___u_i.html#ga20c163823e24d9c297ce9d48d7c8bc05">IDC_BOOK_VIEWER_PREV</a>:</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>                <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#ae7bfce6297d82d0559d8ae155fab28e5">NextPrevPage</a>(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            <span class="keywordflow">case</span> <a class="code hl_variable" href="../../da/d4c/group___u_i.html#ga88a1ef0c4235526e6a5580eba6bfc6c8">IDC_BOOK_VIEWER_NEXT</a>:</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#ae7bfce6297d82d0559d8ae155fab28e5">NextPrevPage</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordflow">case</span> <a class="code hl_variable" href="../../da/d4c/group___u_i.html#gaba6e51e243f98a9ba264f292c46c8f2d">IDC_CANCEL</a>:</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a604074e02bcee1dc8a5ab6bdbd2e2e84">Close</a>();</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#ae7bfce6297d82d0559d8ae155fab28e5">   54</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#ae7bfce6297d82d0559d8ae155fab28e5">NextPrevPage</a>(<span class="keywordtype">bool</span> next)</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">if</span> (next)</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            m_content_pos   = m_content_pos + <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#ad4a65ac086458565ff07f94f98315045">m_page_height</a>;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            m_content_pos   = m_content_pos - <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#ad4a65ac086458565ff07f94f98315045">m_page_height</a>;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordtype">float</span> maxOffset = 0;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordflow">if</span> (m_content_total_height &gt; m_page_height)</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            maxOffset = m_content_total_height - <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#ad4a65ac086458565ff07f94f98315045">m_page_height</a>;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        }       </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">if</span> (m_content_pos &lt; 0)</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            m_content_pos = 0;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">if</span> (m_content_pos &gt; maxOffset)</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            m_content_pos = maxOffset;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        m_content.SetContentOffset(m_content_pos, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordtype">float</span> pagesTotal = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gac9f0b1b548394cf668a86362a32de298">Ceil</a>(m_content_total_height / m_page_height);</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="keywordtype">float</span> currPage = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga7a63fd1bc9f0c95f8021d8ece1b7500f">Round</a>(m_content_pos / m_page_height) + 1;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        m_page.SetText( currPage.<a class="code hl_function" href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">ToString</a>() + <span class="stringliteral">&quot; / &quot;</span> + pagesTotal.<a class="code hl_function" href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">ToString</a>() );</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>}</div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="a_item_base_8c_html_a604074e02bcee1dc8a5ab6bdbd2e2e84"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#a604074e02bcee1dc8a5ab6bdbd2e2e84">Close</a></div><div class="ttdeci">void Close()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l08753">ItemBase.c:8753</a></div></div>
<div class="ttc" id="aclass_c_game_html_a9acfc7077cec18228fcafc8649054e66"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">CGame::GetWorkspace</a></div><div class="ttdeci">proto native WorkspaceWidget GetWorkspace()</div></div>
<div class="ttc" id="aclass_inventory_item_html"><div class="ttname"><a href="../../d6/d0e/class_inventory_item.html">InventoryItem</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l00007">ItemBase.c:8</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l00020">DayZGame.c:21</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a33642608890458c5970c34e8c8819753"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a33642608890458c5970c34e8c8819753">UIScriptedMenu::m_content</a></div><div class="ttdeci">protected HtmlWidget m_content</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da5/_book_menu_8c_source.html#l00006">BookMenu.c:6</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a4f18fbd03fc372bff4cf71c9eb0d451a"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a4f18fbd03fc372bff4cf71c9eb0d451a">UIScriptedMenu::m_author</a></div><div class="ttdeci">protected TextWidget m_author</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da5/_book_menu_8c_source.html#l00003">BookMenu.c:3</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a5d2afcdf035e7ac8398d55249b850d7d"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a5d2afcdf035e7ac8398d55249b850d7d">UIScriptedMenu::m_title</a></div><div class="ttdeci">protected TextWidget m_title</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da5/_book_menu_8c_source.html#l00004">BookMenu.c:4</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a6a3ec631768001e94dbd399316575f31"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a6a3ec631768001e94dbd399316575f31">UIScriptedMenu::ReadBook</a></div><div class="ttdeci">void ReadBook(InventoryItem book)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da5/_book_menu_8c_source.html#l00024">BookMenu.c:24</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a6e238bafde4121cb7aa69f210ac42308"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a6e238bafde4121cb7aa69f210ac42308">UIScriptedMenu::m_content_total_height</a></div><div class="ttdeci">protected float m_content_total_height</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da5/_book_menu_8c_source.html#l00008">BookMenu.c:8</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_aaeb5d04d7c85a03e89a6a8f99a9c24c2"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#aaeb5d04d7c85a03e89a6a8f99a9c24c2">UIScriptedMenu::m_page</a></div><div class="ttdeci">protected TextWidget m_page</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da5/_book_menu_8c_source.html#l00005">BookMenu.c:5</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_aca76f7de94e43c81d67d6c5b672f4fbe"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#aca76f7de94e43c81d67d6c5b672f4fbe">UIScriptedMenu::Init</a></div><div class="ttdeci">override Widget Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da5/_book_menu_8c_source.html#l00011">BookMenu.c:11</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_ad1bfa3dda2895fad96fa25f720d5aff1"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#ad1bfa3dda2895fad96fa25f720d5aff1">UIScriptedMenu::OnClick</a></div><div class="ttdeci">override bool OnClick(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da5/_book_menu_8c_source.html#l00034">BookMenu.c:34</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_ad4a65ac086458565ff07f94f98315045"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#ad4a65ac086458565ff07f94f98315045">UIScriptedMenu::m_page_height</a></div><div class="ttdeci">protected float m_page_height</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da5/_book_menu_8c_source.html#l00007">BookMenu.c:7</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_ae7bfce6297d82d0559d8ae155fab28e5"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#ae7bfce6297d82d0559d8ae155fab28e5">UIScriptedMenu::NextPrevPage</a></div><div class="ttdeci">void NextPrevPage(bool next)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da5/_book_menu_8c_source.html#l00054">BookMenu.c:54</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_afecce2ad4f9ba33075ccd021589f8459"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#afecce2ad4f9ba33075ccd021589f8459">UIScriptedMenu::m_content_pos</a></div><div class="ttdeci">protected float m_content_pos</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da5/_book_menu_8c_source.html#l00009">BookMenu.c:9</a></div></div>
<div class="ttc" id="aclassfloat_html_a9aba6f516b6f38a950c55fa9d0b24afb"><div class="ttname"><a href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">float::ToString</a></div><div class="ttdeci">proto string ToString()</div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga7a63fd1bc9f0c95f8021d8ece1b7500f"><div class="ttname"><a href="../../d5/d98/group___math.html#ga7a63fd1bc9f0c95f8021d8ece1b7500f">Math::Round</a></div><div class="ttdeci">static proto float Round(float f)</div><div class="ttdoc">Returns mathematical round of value.</div></div>
<div class="ttc" id="agroup___math_html_gac9f0b1b548394cf668a86362a32de298"><div class="ttname"><a href="../../d5/d98/group___math.html#gac9f0b1b548394cf668a86362a32de298">Math::Ceil</a></div><div class="ttdeci">static proto float Ceil(float f)</div><div class="ttdoc">Returns ceil of value.</div></div>
<div class="ttc" id="agroup___u_i_html_ga20c163823e24d9c297ce9d48d7c8bc05"><div class="ttname"><a href="../../da/d4c/group___u_i.html#ga20c163823e24d9c297ce9d48d7c8bc05">IDC_BOOK_VIEWER_PREV</a></div><div class="ttdeci">const int IDC_BOOK_VIEWER_PREV</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00128">constants.c:128</a></div></div>
<div class="ttc" id="agroup___u_i_html_ga88a1ef0c4235526e6a5580eba6bfc6c8"><div class="ttname"><a href="../../da/d4c/group___u_i.html#ga88a1ef0c4235526e6a5580eba6bfc6c8">IDC_BOOK_VIEWER_NEXT</a></div><div class="ttdeci">const int IDC_BOOK_VIEWER_NEXT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00129">constants.c:129</a></div></div>
<div class="ttc" id="agroup___u_i_html_gaba6e51e243f98a9ba264f292c46c8f2d"><div class="ttname"><a href="../../da/d4c/group___u_i.html#gaba6e51e243f98a9ba264f292c46c8f2d">IDC_CANCEL</a></div><div class="ttdeci">const int IDC_CANCEL</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00112">constants.c:112</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_da/dbc/class_text_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00205">EnWidgets.c:206</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga28f2c34f1fa5af85b32e1a11ef6f6024"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">WorkspaceWidget::CreateWidgets</a></div><div class="ttdeci">proto native external Widget CreateWidgets(string layout, Widget parentWidget=NULL, bool immedUpdate=true)</div><div class="ttdoc">Create widgets from *.layout file.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../d5/da5/_book_menu_8c.html">BookMenu.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
